Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event.impl
Class RequiredControl.RequiredDescription

    java.lang.Object
      org.apache.cocoon.forms.event.impl.RequiredControl.RequiredDescription

Enclosing class:
  RequiredControl

protected static final class RequiredControl.RequiredDescription
extends Object

Field Summary
`protected int` | `mode`
`protected String` | `referenceId`
`protected String` | `widgetName`
`protected String` | `widgetValue`

Constructor Summary
`RequiredControl.RequiredDescription(String referenceId, String submitId)`
`RequiredControl.RequiredDescription(String referenceId, String widget, String value)`

Method Summary
`void` | `process(Widget form)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mode

    protected final int mode

### referenceId

    protected final String referenceId

### widgetName

    protected String widgetName

### widgetValue

    protected String widgetValue

Constructor Detail

### RequiredControl.RequiredDescription

    public RequiredControl.RequiredDescription(String referenceId,
                                               String submitId)

### RequiredControl.RequiredDescription

    public RequiredControl.RequiredDescription(String referenceId,
                                               String widget,
                                               String value)

Method Detail

### process

    public void process(Widget form)

  See Also:
    `WidgetValidator.validate(org.apache.cocoon.forms.formmodel.Widget)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.